Package: groovy.org.codenarc.rule.basic

## [Groovy] Class ComparisonWithSelfRule

- groovy.org.codenarc.rule.basic.ComparisonWithSelfRule

- CodeNarc Rule. Checks for using a comparison operator or equals() or compareTo() to compare a variable to itself, e.g.: x == x, x != x, x <=> x, x < x, x > x, x <= x, x >= x, x.equals(x), x.compareTo(x) where x is a variable

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority